##### 7.5.6.0. annfalphaI

Procedure from library `dmodideal.lib` (see dmodideal_lib).

Usage:
  annfalphaI(f,alpha); f,alpha ideals

Return:
  ring

Assume:
  basering is a commutative polynomial ring in characteristic 0

Purpose:
  determine annihilator of f^alpha with the method of (OT99)

Note:
  The returned ring contains the annihilator of f^alpha over D as annfalpha. alpha should contain the desired rational exponents.
  The procedure may also be applied to the univariate case, i.e. for r=1.

Example:

    LIB "dmodideal.lib";
    ring R = 0,(x,y,z),dp;
    ideal f = x,y,z;
    ideal alpha = 1/4, 2/3, 1;
    def A = annfalphaI(f,alpha);
    setring A;
    annfalpha;
    ==> annfalpha[1]=Dz^2
    ==> annfalpha[2]=z*Dz-1
    ==> annfalpha[3]=3*y*Dy-2
    ==> annfalpha[4]=4*x*Dx-1

User manual for Singular version 4.4.1, 2025, generated by texi2html.